
proc __alias {src tgt} {
    set nsrc [namespace qualifiers $src]
    set tsrc [namespace tail $src]
    set oe [uplevel 1 [list namespace eval $nsrc {namespace export}]]
    uplevel 1 [list namespace eval $nsrc {namespace export *}]
    set n 0
    while {[namespace exists tmp-[incr n]]} {}
    set fqsrc [uplevel 1 [list namespace which $src]]
    namespace eval tmp-$n [list namespace import $fqsrc]
    uplevel 1 [list rename [namespace which -command "tmp-${n}::$tsrc"] $tgt]
    uplevel 1 [list namespace eval $nsrc [list namespace export -clear {*}$oe]]
    namespace delete tmp-$n
}
proc aexpr e {
  set tmp [string map {^ **} $e]
  return [expr $tmp]
}

